Gda.TreeNode – Gda-6.0 Reference Manual

# TreeNode

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_tree_node_get_type ()" ) ]
public class TreeNode : Object
Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public string name { owned get; set; }

### Static methods:

- public static Quark error_quark ()

### Creation methods:

- public TreeNode (string? name)

### Methods:

- public virtual void dump_children (string prefix, StringBuilder in_string)
- public virtual string dump_header ()
- public unowned Value? fetch_attribute (string attribute)
- public unowned TreeNode get_child_index (int index)
- public unowned TreeNode get_child_name (string name)
- public SList<unowned TreeNode> get_children ()
- public unowned Value? get_node_attribute (string attribute)
- public unowned TreeNode get_parent ()
- public void set_node_attribute (string attribute, Value? value, DestroyNotify destroy)

### Signals:

- public virtual signal void node_changed (TreeNode node)
- public virtual signal void node_deleted (string relative_path)
- public virtual signal void node_has_child_toggled (TreeNode node)
- public virtual signal void node_inserted (TreeNode node)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref